Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Database..::.Open Method (String, DatabaseConfig)
Database Class See Also Send Feedback

Instantiate a new Database object and open the database represented by Filename. The file specified by Filename must exist.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#
    public static Database Open(
    	string Filename,
    	DatabaseConfig cfg
    )

Visual Basic (Declaration)
    Public Shared Function Open ( _
    	Filename As String, _
    	cfg As DatabaseConfig _
    ) As Database

Visual C++
    public:
    static Database^ Open(
    	String^ Filename,
    	DatabaseConfig^ cfg
    )

#### Parameters

Filename
  Type: System..::.String
  The name of an underlying file that will be used to back the database.

cfg
  Type: BerkeleyDB..::.DatabaseConfig
  The database's configuration

#### Return Value

A new, open database object

# Remarks

If AutoCommit is set, the operation will be implicitly transaction protected. Note that transactionally protected operations on a datbase object requires the object itself be transactionally protected during its open.

# See Also

Database Class
Open Overload
BerkeleyDB Namespace